Bug 1327153 - [abrt] hawaii-shell: QListData::size(): hawaii killed by SIGSEGV
Summary: [abrt] hawaii-shell: QListData::size(): hawaii killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hawaii-shell
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pier Luigi Fiorini
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bcee9190ab2c7de040d5dbdb884...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-14 11:13 UTC by Mike FABIAN
Modified: 2016-05-24 01:25 UTC (History)
2 users (show)

Fixed In Version: hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc24 hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-07 11:44:26 UTC


Attachments (Terms of Use)
File: backtrace (62.31 KB, text/plain)
2016-04-14 11:13 UTC, Mike FABIAN
no flags Details
File: cgroup (242 bytes, text/plain)
2016-04-14 11:13 UTC, Mike FABIAN
no flags Details
File: core_backtrace (10.43 KB, text/plain)
2016-04-14 11:13 UTC, Mike FABIAN
no flags Details
File: dso_list (16.30 KB, text/plain)
2016-04-14 11:13 UTC, Mike FABIAN
no flags Details
File: environ (449 bytes, text/plain)
2016-04-14 11:13 UTC, Mike FABIAN
no flags Details
File: exploitable (93 bytes, text/plain)
2016-04-14 11:13 UTC, Mike FABIAN
no flags Details
File: limits (1.29 KB, text/plain)
2016-04-14 11:14 UTC, Mike FABIAN
no flags Details
File: maps (78.66 KB, text/plain)
2016-04-14 11:14 UTC, Mike FABIAN
no flags Details
File: mountinfo (3.52 KB, text/plain)
2016-04-14 11:14 UTC, Mike FABIAN
no flags Details
File: namespaces (85 bytes, text/plain)
2016-04-14 11:14 UTC, Mike FABIAN
no flags Details
File: open_fds (4.01 KB, text/plain)
2016-04-14 11:14 UTC, Mike FABIAN
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-04-14 11:14 UTC, Mike FABIAN
no flags Details
File: var_log_messages (315 bytes, text/plain)
2016-04-14 11:14 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2016-04-14 11:13:36 UTC
Description of problem:
I clicked on the icon which looks like a sliding button at the bottom of the screen.

Version-Release number of selected component:
hawaii-shell-0.6.90-0.1.20160228git.fc24

Additional info:
reporter:       libreport-2.7.0
backtrace_rating: 4
cmdline:        /usr/bin/hawaii --wayland-socket-name greenisland-seat0
crash_function: QListData::size
executable:     /usr/bin/hawaii
global_pid:     9781
kernel:         4.5.0-302.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QListData::size at /usr/include/qt5/QtCore/qlist.h:107
 #1 QList<QWaylandExtension*>::size at /usr/include/qt5/QtCore/qlist.h:160
 #2 QWaylandObject::extension at /usr/src/debug/greenisland-0.7.90/src/waylandcompositor/global/qwaylandextension.cpp:145
 #3 QWaylandExtensionTemplate<GreenIsland::Server::XdgSurface>::findIn at /usr/src/debug/greenisland-0.7.90/src/waylandcompositor/global/qwaylandextension.h:115
 #4 GreenIsland::Server::ClientWindowPrivate::setActive at /usr/src/debug/greenisland-0.7.90/src/server/shell/clientwindow.cpp:237
 #5 QtPrivate::QSlotObjectBase::call at ../../src/corelib/kernel/qobject_impl.h:124
 #6 QMetaObject::activate at kernel/qobject.cpp:3715
 #8 QQuickItem::focusChanged at .moc/moc_qquickitem.cpp:1014
 #9 QQuickWindowPrivate::notifyFocusChangesRecur at /usr/src/debug/qtdeclarative-opensource-src-5.6.0/src/quick/items/qquickwindow.cpp:979
 #11 QQuickWindowPrivate::setFocusInScope at /usr/src/debug/qtdeclarative-opensource-src-5.6.0/src/quick/items/qquickwindow.cpp:871

Comment 1 Mike FABIAN 2016-04-14 11:13:44 UTC
Created attachment 1147148 [details]
File: backtrace

Comment 2 Mike FABIAN 2016-04-14 11:13:47 UTC
Created attachment 1147149 [details]
File: cgroup

Comment 3 Mike FABIAN 2016-04-14 11:13:49 UTC
Created attachment 1147150 [details]
File: core_backtrace

Comment 4 Mike FABIAN 2016-04-14 11:13:54 UTC
Created attachment 1147151 [details]
File: dso_list

Comment 5 Mike FABIAN 2016-04-14 11:13:56 UTC
Created attachment 1147152 [details]
File: environ

Comment 6 Mike FABIAN 2016-04-14 11:13:58 UTC
Created attachment 1147153 [details]
File: exploitable

Comment 7 Mike FABIAN 2016-04-14 11:14:03 UTC
Created attachment 1147154 [details]
File: limits

Comment 8 Mike FABIAN 2016-04-14 11:14:09 UTC
Created attachment 1147155 [details]
File: maps

Comment 9 Mike FABIAN 2016-04-14 11:14:12 UTC
Created attachment 1147156 [details]
File: mountinfo

Comment 10 Mike FABIAN 2016-04-14 11:14:15 UTC
Created attachment 1147157 [details]
File: namespaces

Comment 11 Mike FABIAN 2016-04-14 11:14:18 UTC
Created attachment 1147158 [details]
File: open_fds

Comment 12 Mike FABIAN 2016-04-14 11:14:21 UTC
Created attachment 1147159 [details]
File: proc_pid_status

Comment 13 Mike FABIAN 2016-04-14 11:14:24 UTC
Created attachment 1147160 [details]
File: var_log_messages

Comment 14 Fedora Update System 2016-05-01 03:28:07 UTC
hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc23 hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc23 hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc23 hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc23 libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc23 greenisland-0.7.90-1.20160420gitf29505146ed29.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f09216bbd3

Comment 15 Fedora Update System 2016-05-01 03:28:27 UTC
hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc24 hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc24 hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc24 hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc24 libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc24 greenisland-0.7.90-1.20160420gitf29505146ed29.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1730a711e2

Comment 16 Fedora Update System 2016-05-01 17:54:41 UTC
greenisland-0.7.90-1.20160420gitf29505146ed29.fc24, hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc24, hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc24, hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc24, hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc24, libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1730a711e2

Comment 17 Fedora Update System 2016-05-02 00:52:43 UTC
greenisland-0.7.90-1.20160420gitf29505146ed29.fc23, hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc23, hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc23, hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc23, hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc23, libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f09216bbd3

Comment 18 Fedora Update System 2016-05-07 11:44:18 UTC
greenisland-0.7.90-1.20160420gitf29505146ed29.fc24, hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc24, hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc24, hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc24, hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc24, libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-05-24 01:25:39 UTC
greenisland-0.7.90-1.20160420gitf29505146ed29.fc23, hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc23, hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc23, hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc23, hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc23, libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.